TenantControllerSetWarehouseOverride Method

POST /Tenant/SetWarehouseOverride/ Adds the warehouse override if there is no existing override with the same scope and scope target, otherwise replaces it.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("SetWarehouseOverride")]
public IActionResult SetWarehouseOverride(
	Guid id,
	[FromBodyAttribute] TenantWarehouseOverrideData warehouseOverrideData,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the tenant.
warehouseOverrideData
Type: Dundas.BI.WebApi.ModelsTenantWarehouseOverrideData
The tenant warehouse override settings.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A status code indicating the result of the operation.
See Also